Description

Hi,

Proxmox VE (proxmox.com) is a quiet nice virtualization environment, supporting some features often used in businesses. We use it

in several environments together with foreman. That plays quiet nice, but it would be even better, if VMs could be created from within

foreman.

So I'm requesting to implement a provider for it in the "Compute resources". It includes a RESTful interface, so integration probably

shouldn't be a hard task.

Best Regards,

Patrick

History

#1 - 05/28/2013 09:27 AM - Trent Petersen

I would love to see this as well, I have tried looking into doing it myself, but gave up pretty quickly. As the company I work for pushes forward on our

new ProxMox backed private cloud, I may have to revisit, but I would think that adding ProxMox support would be great for anyone wanting to stay

open source and out of VMware's pocket.

#2 - 02/28/2014 11:32 AM - Benjamin Papillon

- Description updated

Hi,

Before Foreman can support Proxmox, the under the hood libraly Fog must support it. Here is the relevant ticket on Fog :

https://github.com/fog/fog/issues/1328

#3 - 05/25/2016 11:18 AM - Jean-Vincent kassi

Hello,

vagrant-proxmox is working good.

Is it possible to add official support for proxmox 4 ?

#4 - 01/11/2017 09:42 AM - guglez guglez

Benjamin Papillon wrote:

Hi,

Before Foreman can support Proxmox, the under the hood libraly Fog must support it. Here is the relevant ticket on Fog :

https://github.com/fog/fog/issues/1328

 Hi Benjamin,

Could you please let me know - what's the current status of this issue?
#5 - 01/19/2017 07:39 AM - Anonymous

The status of today is exactly the same. As long as there is no Proxmox provider for fog, no work regarding a Foreman plugin is possible.

#6 - 01/19/2017 07:44 AM - Dominic Cleal

- Category set to Compute resources

#7 - 07/28/2017 12:32 PM - Páldi Balázs

Benjamin Papillon wrote:

Hi,

Before Foreman can support Proxmox, the under the hood libraly Fog must support it. Here is the relevant ticket on Fog :

https://github.com/fog/fog/issues/1328

 Hi,

Use this for the implementation:

https://github.com/nledez/proxmox

#8 - 07/28/2017 12:37 PM - Anonymous

https://github.com/fog/fog/issues/3644

#9 - 01/30/2018 09:30 AM - Stephan Eicher

https://github.com/tristanrobert/foreman-proxmox looks like at least a beginning to support proxmox :)

#10 - 04/27/2018 02:34 PM - Tristan Robert

Hello,

Indeed, I started the project https://github.com/tristanrobert/fog-proxmox. It is a fog's module which allows proxmox to be used as a new compute

resource in foreman.

You can follow the project board if you want to see how it goes.

I started the project https://github.com/tristanrobert/foreman-proxmox as a Foreman plugin which uses fog-proxmox.

I'm not sure the foreman team would like to put it in the core feature. It will depend on how many users are interested in it and how difficult it is to

maintain.

When fog-proxmox have enough features, I will soon develop this foreman plugin.

#11 - 06/01/2018 06:19 AM - Tristan Robert

Hello,

fog/fog-proxmox has now its main features.

I am working actively on foreman_proxmox plugin.

First release is coming soon...

#12 - 06/30/2018 01:27 AM - Jason Harris

- Triaged set to No

Tristan Robert wrote:

Hello,

fog/fog-proxmox has now its main features.

I am working actively on foreman_proxmox plugin.

First release is coming soon...

 I just wanted to chime in that yes, this would be a great feature to have available.  Currently our lab uses oVirt, and our main environment includes

Satellite / RHEV.  However, Proxmox support is demanded from some of our admins, so it would be great to be able to incorporate this into a

cohesive, top-down solution.

#13 - 06/30/2018 01:30 AM - Jason Harris

Tristan Robert wrote:

Hello,

fog/fog-proxmox has now its main features.

I am working actively on foreman_proxmox plugin.
First release is coming soon...

 I just wanted to chime in that yes, this would be a great feature to have available.  Currently our lab uses oVirt, and our main environment includes

Satellite / RHEV.  However, Proxmox support is demanded from some of our admins, so it would be great to be able to incorporate this into a

cohesive, top-down solution.

Edit: Can't wait to see what you have in the plugin.

#14 - 07/06/2018 01:06 PM - Tristan Robert

Hello,

The gem is published for the first time. Get version >=0.3.1.

You can then test it and give me feedback or contribute through the github project. Hope to be useful.

I work now on foreman packaging (deb, rpm, yum, installer) to ease installation and try to make it official.

#15 - 09/08/2018 01:25 PM - Tristan Robert

Hello, foreman_fog_proxmox is available in 0.5.0 release. It adds containers support. It is only available with Foreman 1.17. I work on next release in

order to add 1.18 and 1.19 compatiblity. Feedback is welcome. If you like it you can support it.

#16 - 12/08/2018 01:58 PM - Anonymous

- Status changed from New to Resolved

foreman_fog_proxmox is there now.
